Skip to content
Start here

Batch delete origin cloud region mappings

client.Cache.OriginCloudRegions.BulkDelete(ctx, body) (*OriginCloudRegionBulkDeleteResponse, error)
DELETE/zones/{zone_id}/cache/origin_cloud_regions/batch

Removes up to 100 IP-to-cloud-region mappings in a single request. Each IP is validated independently — successfully deleted items are returned in the succeeded array and IPs that could not be found or are invalid are returned in the failed array.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
body OriginCloudRegionBulkDeleteParams
ZoneID param.Field[string]Optional

Identifier.

maxLength32
ReturnsExpand Collapse
type OriginCloudRegionBulkDeleteResponse struct{…}

Response result for a batch origin cloud region operation.

ID OriginCloudRegionBulkDeleteResponseID
Editable bool

Whether the setting can be modified by the current user.

Value OriginCloudRegionBulkDeleteResponseValue
Failed []OriginCloudRegionBulkDeleteResponseValueFailed

Items that could not be applied, with error details.

OriginIP string

The origin IP address for this item.

Error stringOptional

Error message explaining why the item failed. Present only on failed items.

Region stringOptional

Cloud vendor region identifier. Present on succeeded items for patch operations.

Vendor stringOptional

Cloud vendor identifier. Present on succeeded items for patch operations.

Succeeded []OriginCloudRegionBulkDeleteResponseValueSucceeded

Items that were successfully applied.

OriginIP string

The origin IP address for this item.

Error stringOptional

Error message explaining why the item failed. Present only on failed items.

Region stringOptional

Cloud vendor region identifier. Present on succeeded items for patch operations.

Vendor stringOptional

Cloud vendor identifier. Present on succeeded items for patch operations.

ModifiedOn TimeOptional

Time the mapping set was last modified. Null when no items were successfully applied.

formatdate-time

Batch delete origin cloud region mappings

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/cache"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Cache.OriginCloudRegions.BulkDelete(context.TODO(), cache.OriginCloudRegionBulkDeleteParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.ID)
}
{
  "errors": [],
  "messages": [],
  "result": {
    "editable": true,
    "id": "origin_public_cloud_region",
    "modified_on": "2026-03-01T12:00:00Z",
    "value": {
      "failed": [],
      "succeeded": [
        {
          "origin-ip": "192.0.2.1",
          "region": "us-east-1",
          "vendor": "aws"
        },
        {
          "origin-ip": "2001:db8::1",
          "region": "us-central1",
          "vendor": "gcp"
        }
      ]
    }
  },
  "success": true
}
{
  "errors": [
    {
      "code": 1141,
      "message": "Unable to delete origin_public_cloud_region setting. Internal error."
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
Returns Examples
{
  "errors": [],
  "messages": [],
  "result": {
    "editable": true,
    "id": "origin_public_cloud_region",
    "modified_on": "2026-03-01T12:00:00Z",
    "value": {
      "failed": [],
      "succeeded": [
        {
          "origin-ip": "192.0.2.1",
          "region": "us-east-1",
          "vendor": "aws"
        },
        {
          "origin-ip": "2001:db8::1",
          "region": "us-central1",
          "vendor": "gcp"
        }
      ]
    }
  },
  "success": true
}
{
  "errors": [
    {
      "code": 1141,
      "message": "Unable to delete origin_public_cloud_region setting. Internal error."
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}